Skip to main content
GET
/
dev
/
v1
/
categories
List categories
curl --request GET \
  --url https://api.shoppex.io/dev/v1/categories \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "uniqid": "<string>",
      "shop_id": "<string>",
      "title": "<string>",
      "unlisted": true,
      "sort_order": 123,
      "cloudflare_image_id": "<string>",
      "cdn_image_url": "<string>",
      "products_bound": [
        {
          "uniqid": "<string>",
          "title": "<string>",
          "price": 123,
          "price_display": 123,
          "discount_percent": 123,
          "currency": "<string>",
          "unlisted": true,
          "image_id": "<string>",
          "image_url": "<string>",
          "description": "<string>",
          "quantity_min": 123,
          "quantity_max": 123,
          "quantity_warning": 123,
          "custom_fields": [
            {}
          ],
          "type": "<string>",
          "shop_id": "<string>",
          "gateways": [
            "<string>"
          ],
          "crypto_confirmations": 123,
          "private": true,
          "stock": 123,
          "sort_priority": 123,
          "on_hold": true,
          "created_at": 123,
          "updated_at": 123
        }
      ],
      "products_count": 123,
      "groups_bound": [
        {
          "uniqid": "<string>",
          "title": "<string>",
          "created_at": 123,
          "updated_at": 123
        }
      ],
      "groups_count": 123,
      "created_at": 123,
      "updated_at": 123
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "has_more": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Query Parameters

cursor
string
limit
string

Response

Successful response

data
object[]
required
pagination
object
required